{
"code": 200,
"msg": "success",
"data": {
"personaId": "a1b2****c3d4",
"name": "Electronic Pop Singer",
"description": "A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones"
}
}
Generate Music
Generate Persona
Create a personalized music Persona based on generated music, giving the music a unique identity and characteristics.
POST
/
api
/
v1
/
generate
/
generate-persona
Generate Persona
curl --request POST \
--url https://apibox.erweima.ai/api/v1/generate/generate-persona \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taskId": "5c79****be8e",
"audioId": "e231****-****-****-****-****8cadc7dc",
"name": "Electronic Pop Singer",
"description": "A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones",
"vocalStart": 0,
"vocalEnd": 30,
"style": "Electronic Pop"
}
'
import requests
url = "https://apibox.erweima.ai/api/v1/generate/generate-persona"
payload = {
"taskId": "5c79****be8e",
"audioId": "e231****-****-****-****-****8cadc7dc",
"name": "Electronic Pop Singer",
"description": "A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones",
"vocalStart": 0,
"vocalEnd": 30,
"style": "Electronic Pop"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taskId: '5c79****be8e',
audioId: 'e231****-****-****-****-****8cadc7dc',
name: 'Electronic Pop Singer',
description: 'A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones',
vocalStart: 0,
vocalEnd: 30,
style: 'Electronic Pop'
})
};
fetch('https://apibox.erweima.ai/api/v1/generate/generate-persona', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "success",
"data": {
"personaId": "a1b2****c3d4",
"name": "Electronic Pop Singer",
"description": "A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones"
}
}
Use this endpoint to create Personas (music characters) for generated music
Requires the taskId from supported music generation endpoints (generate, extend, mashup) and audio ID
Customize the Persona name and description to give music unique personality
Generated Personas can be used for subsequent music creation and style transfer
Optionally specify vocalStart and vocalEnd to define the time range (10-30 seconds) for analysis. If not provided, defaults to 0.0 and 30.0 respectively
audioId: Required parameter, specifies the audio ID to create Persona for
name: Required parameter, assigns an easily recognizable name to the Persona
description: Required parameter, describes the Persona’s musical characteristics, style, and personality
vocalStart: Optional parameter, start time (in seconds) of the audio segment to analyze. Default value is 0.0. Must be between 0 and the audio duration, and the segment length (vocalEnd - vocalStart) must be between 10-30 seconds.
vocalEnd: Optional parameter, end time (in seconds) of the audio segment to analyze. Default value is 30.0. Must be between 0 and the audio duration, and the segment length (vocalEnd - vocalStart) must be between 10-30 seconds.
style: Optional parameter, music style label to help categorize the Persona
Important: Ensure the music generation task is fully completed before calling this endpoint. If the music is still generating, this endpoint will return a failure
Model Requirement: Persona generation supports taskId from music generated with models V4 and above
It is recommended to provide detailed descriptions for Personas to better capture musical characteristics
The returned personaId can be used in subsequent music generation requests to create music with similar style characteristics
You can apply the personaId to the following endpoints:
{ "taskId": "5c79****be8e", "audioId": "e231****-****-****-****-****8cadc7dc", "name": "Electronic Pop Singer", "description": "A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones", "style": "Electronic Pop"}
{ "taskId": "5c79****be8e", "audioId": "e231****-****-****-****-****8cadc7dc", "name": "Electronic Pop Singer", "description": "A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones", "vocalStart": 10, "vocalEnd": 30, "style": "Electronic Pop"}
Ensure that the music generation task corresponding to the taskId is complete and the audioId is valid.
Providing detailed and specific descriptions for Personas helps the system more accurately capture musical style characteristics.
Detailed description of the Persona's musical characteristics, style, and personality. Be specific about genre, mood, instrumentation, and vocal qualities.
Example:
"A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones"
Specifies the end time (seconds) of the analysis segment. Used to extract musical characteristics. Optional. Default: 30.0. Must be greater than vocalStart.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Suno API","colors":{"primary":"#16A34A","light":"#07C983","dark":"#15803D"},"logo":{"light":"https://sunoapi.org/logo.png","dark":"https://sunoapi.org/logo.png"},"favicon":"https://mintcdn.com/sunoapiorg/efdUzIovugj6NDSU/favicon.ico?fit=max\u0026auto=format\u0026n=efdUzIovugj6NDSU\u0026q=85\u0026s=9c808a02b0c40b03132ce976e03ddcef","navbar":{"links":[{"href":"mailto:support@sunoapi.org","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://sunoapi.org/dashboard"}},"footer":{},"contextual":{"options":["copy","view","chatgpt","claude","perplexity"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Home","icon":"house","href":"https://sunoapi.org/"},{"anchor":"Old Docs","icon":"book-open-cover","href":"https://old-docs.sunoapi.org/"}]},"languages":[{"language":"en","href":""},{"language":"cn","href":"cn"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"sunoapiorg","hasAudioNarration":false,"actualSubdomain":"sunoapiorg","customDomains":["docs.sunoapi.org"],"gitSource":{"type":"gitlab","owner":"development","repo":"docs.sunoapi.org","deployBranch":"main","contentDirectory":"","isPrivate":true,"projectId":311,"hostUrl":"https://gitlab.tattooidea.ai","mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad43b561fc77c75a5a1cb55","collectionId":"1e85f3fd-a550-4c99-a520-9a5befb93f83","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad43b561fc77c75a5a1cb55"},"entitlements":{},"buildId":"6ad43b561fc77c75a5a1cb55","clientVersion":"0.0.3965","searchFilterCounts":[{"language":"cn","tag":"Generate Music","count":24},{"language":"en","tag":"Generate Music","count":24},{"language":"cn","tag":"Suno Voice","count":9},{"language":"en","tag":"Suno Voice","count":9},{"language":"cn","tag":"Vocal Removal","count":6},{"language":"en","tag":"Vocal Removal","count":6},{"language":"cn","tag":"文件上传API","count":4},{"language":"en","tag":"File Upload API","count":4},{"language":"cn","tag":"WAV Conversion","count":3},{"language":"cn","tag":"Music Video Generation","count":3},{"language":"cn","tag":"Generate Lyrics","count":3},{"language":"en","tag":"WAV Conversion","count":3},{"language":"en","tag":"Music Video Generation","count":3},{"language":"en","tag":"Generate Lyrics","count":3},{"language":"cn","tag":"Generate Sounds","count":1},{"language":"cn","tag":"Account Management","count":1},{"language":"en","tag":"Generate Sounds","count":1},{"language":"en","tag":"Account Management","count":1}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"suno-api/generate-persona","slug":"/suno-api/generate-persona","pageMetadata":{"title":"Generate Persona","description":"Create a personalized music Persona based on generated music, giving the music a unique identity and characteristics.","openapi":"suno-api/suno-api.json POST /api/v1/generate/generate-persona","href":"/suno-api/generate-persona"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create a personalized music Persona based on generated music, giving the music a unique identity and characteristics.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Heading,Note,Tip}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!Tip)_missingMdxReference(`Tip`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`3`,id:`usage-guide`,children:`Usage Guide`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Use this endpoint to create Personas (music characters) for generated music`}),`\n`,_jsx(_components.li,{children:`Requires the taskId from supported music generation endpoints (generate, extend, mashup) and audio ID`}),`\n`,_jsx(_components.li,{children:`Customize the Persona name and description to give music unique personality`}),`\n`,_jsx(_components.li,{children:`Generated Personas can be used for subsequent music creation and style transfer`}),`\n`,_jsx(_components.li,{children:`Optionally specify vocalStart and vocalEnd to define the time range (10-30 seconds) for analysis. If not provided, defaults to 0.0 and 30.0 respectively`}),`\n`]}),`\n`,_jsx(Heading,{level:`3`,id:`parameter-details`,children:`Parameter Details`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`taskId`}),`: Required parameter, can be obtained from the following endpoints:`,`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.a,{href:`/suno-api/generate-music`,children:`Generate Music`}),` (`,_jsx(_components.code,{children:`/api/v1/generate`}),`)`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.a,{href:`/suno-api/extend-music`,children:`Extend Music`}),` (`,_jsx(_components.code,{children:`/api/v1/generate/extend`}),`)`]}),`\n`]}),`\n`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`audioId`}),`: Required parameter, specifies the audio ID to create Persona for`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`name`}),`: Required parameter, assigns an easily recognizable name to the Persona`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`description`}),`: Required parameter, describes the Persona’s musical characteristics, style, and personality`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`vocalStart`}),`: Optional parameter, start time (in seconds) of the audio segment to analyze. Default value is 0.0. Must be between 0 and the audio duration, and the segment length (vocalEnd - vocalStart) must be between 10-30 seconds.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`vocalEnd`}),`: Optional parameter, end time (in seconds) of the audio segment to analyze. Default value is 30.0. Must be between 0 and the audio duration, and the segment length (vocalEnd - vocalStart) must be between 10-30 seconds.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`style`}),`: Optional parameter, music style label to help categorize the Persona`]}),`\n`]}),`\n`,_jsx(Heading,{level:`3`,id:`developer-notes`,children:`Developer Notes`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Important`}),`: Ensure the music generation task is fully completed before calling this endpoint. If the music is still generating, this endpoint will return a failure`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Model Requirement`}),`: Persona generation supports taskId from music generated with models V4 and above`]}),`\n`,_jsx(_components.li,{children:`It is recommended to provide detailed descriptions for Personas to better capture musical characteristics`}),`\n`,_jsxs(_components.li,{children:[`The returned `,_jsx(_components.code,{children:`personaId`}),` can be used in subsequent music generation requests to create music with similar style characteristics`]}),`\n`,_jsxs(_components.li,{children:[`You can apply the `,_jsx(_components.code,{children:`personaId`}),` to the following endpoints:`,`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/suno-api/generate-music`,children:`Generate Music`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/suno-api/extend-music`,children:`Extend Music`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/suno-api/upload-and-cover-audio`,children:`Upload And Cover Audio`})}),`\n`,_jsx(_components.li,{children:_jsx(_components.a,{href:`/suno-api/upload-and-extend-audio`,children:`Upload And Extend Audio`})}),`\n`]}),`\n`]}),`\n`,_jsx(_components.li,{children:`Each audio ID can only generate a Persona once`}),`\n`]}),`\n`,_jsx(Heading,{level:`3`,id:`parameter-example`,children:`Parameter Example`}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`With Default Values`,numberOfLines:`7`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"taskId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"5c79****be8e\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"audioId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"e231****-****-****-****-****8cadc7dc\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Electronic Pop Singer\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"style\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Electronic Pop\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`With Custom Time Range`,numberOfLines:`9`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`9`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"taskId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"5c79****be8e\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"audioId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"e231****-****-****-****-****8cadc7dc\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Electronic Pop Singer\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"vocalStart\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`10`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"vocalEnd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`30`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"style\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Electronic Pop\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]}),`\n`,_jsx(Note,{children:_jsx(_components.p,{children:`Ensure that the music generation task corresponding to the taskId is complete and the audioId is valid.`})}),`\n`,_jsx(Tip,{children:_jsx(_components.p,{children:`Providing detailed and specific descriptions for Personas helps the system more accurately capture musical style characteristics.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Generate Persona","description":"Create a personalized music Persona based on generated music, giving the music a unique identity and characteristics.","openapi":"suno-api/suno-api.json POST /api/v1/generate/generate-persona","href":"/suno-api/generate-persona"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Usage Guide","slug":"usage-guide","depth":3,"children":[]},{"title":"Parameter Details","slug":"parameter-details","depth":3,"children":[]},{"title":"Developer Notes","slug":"developer-notes","depth":3,"children":[]},{"title":"Parameter Example","slug":"parameter-example","depth":3,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"generate-persona","summary":"Generate Persona","tags":["Music Generation"],"description":"Create a personalized music Persona based on generated music, giving the music a unique identity and characteristics.","requestBody":"44d56f90-a498-4c5f-adb0-fbf69ebe521f","responses":{"200":"4f9525e2-53a0-4675-a7e4-3386e92ef476","500":"784fb0bd-7068-472d-93ab-137451514aab"},"method":"post","type":"path","servers":["70e1645d-2722-4ecd-9381-477ef0fe62c3"],"security":["6d3fe124-63a0-4ab3-9da2-de439119be05"],"path":"/api/v1/generate/generate-persona","baseUrlOptions":["https://apibox.erweima.ai"],"title":"Generate Persona","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["taskId","audioId","name","description"],"properties":{"taskId":{"type":"string","description":"Unique identifier of the original music generation task. This can be a taskId returned from any of the following endpoints:\n- Generate Music (/api/v1/generate)\n- Extend Music (/api/v1/generate/extend)","example":"5c79****be8e","isRequired":true,"uniqueKey":"taskId","typeLabel":"string"},"audioId":{"type":"string","description":"Audio ID of the music track to create Persona for. This ID can be obtained from the music generation response.","example":"e231****-****-****-****-****8cadc7dc","isRequired":true,"uniqueKey":"audioId","typeLabel":"string"},"name":{"type":"string","description":"Name for the Persona. A descriptive name that captures the essence of the musical style or character.","example":"Electronic Pop Singer","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"description":{"type":"string","description":"Detailed description of the Persona's musical characteristics, style, and personality. Be specific about genre, mood, instrumentation, and vocal qualities.","example":"A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones","isRequired":true,"uniqueKey":"description","typeLabel":"string"},"vocalStart":{"type":"number","description":"Specifies the start time (seconds) of the analysis segment. Used to extract musical characteristics. Optional. Default: 0.0.","minimum":0,"default":0,"example":0,"uniqueKey":"vocalStart","typeLabel":"number"},"vocalEnd":{"type":"number","description":"Specifies the end time (seconds) of the analysis segment. Used to extract musical characteristics. Optional. Default: 30.0. Must be greater than vocalStart.","minimum":0,"default":30,"example":30,"uniqueKey":"vocalEnd","typeLabel":"number"},"style":{"type":"string","description":"Music style label. Optional. Used to identify the Persona's music style type.","example":"Electronic Pop","uniqueKey":"style","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"taskId":"5c79****be8e","audioId":"e231****-****-****-****-****8cadc7dc","name":"Electronic Pop Singer","description":"A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones","vocalStart":0,"vocalEnd":30,"style":"Electronic Pop"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"4f9525e2-53a0-4675-a7e4-3386e92ef476":{"description":"Request successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","enum":[200,401,402,404,409,422,429,451,455,500],"description":"Response Status Codes\n\n- **200**: Success - Request has been processed successfully \n- **401**: Unauthorized - Authentication credentials are missing or invalid \n- **402**: Insufficient Credits - Account does not have enough credits to perform the operation \n- **404**: Not Found - The requested resource or endpoint does not exist \n- **409**: Conflict - Persona already exists for this music\n- **422**: Validation Error - The request parameters failed validation checks \n- **429**: Rate Limited - Request limit has been exceeded for this resource \n- **451**: Unauthorized - Failed to fetch the music data. Kindly verify any access limits set by you or your service provider \n- **455**: Service Unavailable - System is currently undergoing maintenance \n- **500**: Server Error - An unexpected error occurred while processing the request","uniqueKey":"code","typeLabel":"enum\u003cinteger>"},"msg":{"type":"string","description":"Error message when code != 200","example":"success","uniqueKey":"msg","typeLabel":"string"},"data":{"type":"object","properties":{"personaId":{"type":"string","description":"Unique identifier for the generated Persona. This personaId can be used in subsequent music generation requests (Generate Music, Extend Music, Upload And Cover Audio, Upload And Extend Audio) to create music with similar style characteristics.","example":"a1b2****c3d4","uniqueKey":"data.personaId","typeLabel":"string"},"name":{"type":"string","description":"Name of the Persona as provided in the request.","example":"Electronic Pop Singer","uniqueKey":"data.name","typeLabel":"string"},"description":{"type":"string","description":"Description of the Persona's musical characteristics, style, and personality as provided in the request.","example":"A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones","uniqueKey":"data.description","typeLabel":"string"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":200,"msg":"success","data":{"personaId":"a1b2****c3d4","name":"Electronic Pop Singer","description":"A modern electronic music style pop singer, skilled in dynamic rhythms and synthesizer tones"}}}},"exampleType":"generated"}},"exampleType":"generated"},"784fb0bd-7068-472d-93ab-137451514aab":{"description":"Server error","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"6d3fe124-63a0-4ab3-9da2-de439119be05":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"# 🔑 API Authentication\n\nAll endpoints require authentication using Bearer Token.\n\n## Get API Key\n\n1. Visit the [API Key Management Page](https://api.box/api-key) to obtain your API Key\n\n## Usage\n\nAdd to request headers:\n\n```\nAuthorization: Bearer YOUR_API_KEY\n```\n\n> **⚠️ Note:**\n> - Keep your API Key secure and do not share it with others\n> - If you suspect your API Key has been compromised, reset it immediately from the management page","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"70e1645d-2722-4ecd-9381-477ef0fe62c3":{"url":"https://apibox.erweima.ai","description":"API Server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"# 🔑 API Authentication\n\nAll endpoints require authentication using Bearer Token.\n\n## Get API Key\n\n1. Visit the [API Key Management Page](https://api.box/api-key) to obtain your API Key\n\n## Usage\n\nAdd to request headers:\n\n```\nAuthorization: Bearer YOUR_API_KEY\n```\n\n> **⚠️ Note:**\n> - Keep your API Key secure and do not share it with others\n> - If you suspect your API Key has been compromised, reset it immediately from the management page","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"# 🔑 API Authentication\n\nAll endpoints require authentication using Bearer Token.\n\n## Get API Key\n\n1. Visit the [API Key Management Page](https://api.box/api-key) to obtain your API Key\n\n## Usage\n\nAdd to request headers:\n\n```\nAuthorization: Bearer YOUR_API_KEY\n```\n\n> **⚠️ Note:**\n> - Keep your API Key secure and do not share it with others\n> - If you suspect your API Key has been compromised, reset it immediately from the management page","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"suno-api/suno-api.json"},"subdomain":"sunoapiorg","siteName":"Suno API","title":"Generate Persona - Suno API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/suno-api/generate-persona","matchLevel":0},"cn":{"href":"/cn/suno-api/generate-persona","matchLevel":1}}},"lastModified":"2026-05-22T06:32:24.080Z","originalFileLocation":"suno-api/generate-persona.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a personalized music Persona based on generated music, giving the music a unique identity and characteristics.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Suno API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Generate Persona - Suno API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a personalized music Persona based on generated music, giving the music a unique identity and characteristics.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Suno API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.sunoapi.org/suno-api/generate-persona\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://sunoapiorg.mintlify.app/_mintlify/api/og/v2?division=Generate+Music\u0026amp;title=Generate+Persona\u0026amp;description=Create+a+personalized+music+Persona+based+on+generated+music%2C+giving+the+music+a+unique+identity+and+characteristics.\u0026amp;theme=7214e24e72b6f445c84b99ff\u0026amp;signature=f67e63fad1ee89e90987db702132a6887688b187aa311cbf6ee4cb07d12ee218\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Generate Persona - Suno API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a personalized music Persona based on generated music, giving the music a unique identity and characteristics.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://sunoapiorg.mintlify.app/_mintlify/api/og/v2?division=Generate+Music\u0026amp;title=Generate+Persona\u0026amp;description=Create+a+personalized+music+Persona+based+on+generated+music%2C+giving+the+music+a+unique+identity+and+characteristics.\u0026amp;theme=7214e24e72b6f445c84b99ff\u0026amp;signature=f67e63fad1ee89e90987db702132a6887688b187aa311cbf6ee4cb07d12ee218\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/sunoapiorg/7RhG6CqzEntbwSqF/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Suno API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16A34A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.sunoapi.org/suno-api/generate-persona\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/suno-api/generate-persona.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://docs.sunoapi.org/suno-api/generate-persona\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"zh\" href=\"https://docs.sunoapi.org/cn/suno-api/generate-persona\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://docs.sunoapi.org/suno-api/generate-persona\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.sunoapi.org/#organization\",\"name\":\"Suno API\",\"url\":\"https://docs.sunoapi.org\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://sunoapi.org/logo.png\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.sunoapi.org#website\",\"name\":\"Suno API\",\"url\":\"https://docs.sunoapi.org\",\"publisher\":{\"@id\":\"https://docs.sunoapi.org/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.sunoapi.org/suno-api/generate-persona#webpage\",\"url\":\"https://docs.sunoapi.org/suno-api/generate-persona\",\"name\":\"Generate Persona\",\"description\":\"Create a personalized music Persona based on generated music, giving the music a unique identity and characteristics.\",\"dateModified\":\"2026-05-22T06:32:24.080Z\",\"isPartOf\":{\"@id\":\"https://docs.sunoapi.org#website\"},\"breadcrumb\":{\"@id\":\"https://docs.sunoapi.org/suno-api/generate-persona#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.sunoapi.org/suno-api/generate-persona#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Generate Music\",\"item\":\"https://docs.sunoapi.org/suno-api/generate-music\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Generate Persona\",\"item\":\"https://docs.sunoapi.org/suno-api/generate-persona\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.sunoapi.org/suno-api/generate-persona#apireference\",\"headline\":\"Generate Persona\",\"name\":\"Generate Persona\",\"description\":\"Create a personalized music Persona based on generated music, giving the music a unique identity and characteristics.\",\"url\":\"https://docs.sunoapi.org/suno-api/generate-persona\",\"mainEntityOfPage\":{\"@id\":\"https://docs.sunoapi.org/suno-api/generate-persona#webpage\"},\"dateModified\":\"2026-05-22T06:32:24.080Z\",\"publisher\":{\"@id\":\"https://docs.sunoapi.org/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.sunoapi.org#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Suno API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Suno API","nav":{"global":{"anchors":[{"anchor":"Home","icon":"house","href":"https://sunoapi.org/"},{"anchor":"Old Docs","icon":"book-open-cover","href":"https://old-docs.sunoapi.org/"}]},"languages":[{"language":"en","pages":[{"title":"Suno API Documentation","icon":"music","href":""},{"title":"Suno API Quick Start","icon":"rocket","href":"/suno-api/quickstart"},{"group":"Generate Music","pages":[{"title":"Generate Music","openapi":"suno-api/suno-api.json POST /api/v1/generate","href":"/suno-api/generate-music"},{"title":"Music Generation Callbacks","href":"/suno-api/generate-music-callbacks"},{"title":"Extend Music","openapi":"suno-api/suno-api.json POST /api/v1/generate/extend","href":"/suno-api/extend-music"},{"title":"Music Extension Callbacks","href":"/suno-api/extend-music-callbacks"},{"title":"Upload And Cover Audio","openapi":"suno-api/suno-api.json POST /api/v1/generate/upload-cover","href":"/suno-api/upload-and-cover-audio"},{"title":"Upload and Cover Audio Callbacks","href":"/suno-api/upload-and-cover-audio-callbacks"},{"title":"Upload And Extend Audio","openapi":"suno-api/suno-api.json POST /api/v1/generate/upload-extend","href":"/suno-api/upload-and-extend-audio"},{"title":"Upload and Extend Audio Callbacks","href":"/suno-api/upload-and-extend-audio-callbacks"},{"title":"Add Instrumental","openapi":"suno-api/suno-api.json POST /api/v1/generate/add-instrumental","href":"/suno-api/add-instrumental"},{"title":"Add Instrumental Callbacks","href":"/suno-api/add-instrumental-callbacks"},{"title":"Add Vocals","openapi":"suno-api/suno-api.json POST /api/v1/generate/add-vocals","href":"/suno-api/add-vocals"},{"title":"Add Vocals Callbacks","href":"/suno-api/add-vocals-callbacks"},{"title":"Get Music Generation Details","openapi":"suno-api/suno-api.json GET /api/v1/generate/record-info","href":"/suno-api/get-music-generation-details"},{"title":"Recovery Audio","openapi":"suno-api/suno-api.json POST /api/v1/suno/recovery","href":"/suno-api/recovery-audio"},{"title":"Get Recovery Audio Details","openapi":"suno-api/suno-api.json GET /api/v1/suno/recovery/record-info","href":"/suno-api/get-recovery-audio-details"},{"title":"Get Timestamped Lyrics","openapi":"suno-api/suno-api.json POST /api/v1/generate/get-timestamped-lyrics","href":"/suno-api/get-timestamped-lyrics"},{"title":"Boost Music Style","openapi":"suno-api/suno-api.json POST /api/v1/style/generate","href":"/suno-api/boost-music-style"},{"title":"Generate Music Cover","openapi":"suno-api/suno-api.json POST /api/v1/suno/cover/generate","href":"/suno-api/cover-suno"},{"title":"Music Cover Generation Callbacks","href":"/suno-api/cover-suno-callbacks"},{"title":"Replace Music Section","openapi":"suno-api/suno-api.json POST /api/v1/generate/replace-section","href":"/suno-api/replace-section"},{"title":"Replace Music Section Callbacks","href":"/suno-api/replace-section-callbacks"},{"title":"Get Music Cover Details","description":"Get detailed information about music cover generation tasks.","openapi":"suno-api/suno-api.json GET /api/v1/suno/cover/record-info","href":"/suno-api/get-cover-suno-details"},{"title":"Generate Persona","openapi":"suno-api/suno-api.json POST /api/v1/generate/generate-persona","href":"/suno-api/generate-persona"},{"title":"Generate Mashup","description":"Mix two audio files to generate a new mashup work using AI models.","openapi":"suno-api/suno-api.json POST /api/v1/generate/mashup","href":"/suno-api/generate-mashup"}]},{"group":"Suno Voice","pages":[{"title":"Suno Voice Generate Verification Phrase","openapi":"suno-api/suno-voice-api.json POST /api/v1/voice/validate","href":"/suno-api/suno-voice-validate"},{"title":"Suno Voice Validation Phrase Callbacks","href":"/suno-api/suno-voice-validate-callbacks"},{"title":"Suno Voice Get Verification Phrase","openapi":"suno-api/suno-voice-api.json GET /api/v1/voice/validate-info","href":"/suno-api/suno-voice-validate-info"},{"title":"Suno Voice Create Custom Voice","openapi":"suno-api/suno-voice-api.json POST /api/v1/voice/generate","href":"/suno-api/suno-voice-generate"},{"title":"Suno Voice Generation Callbacks","href":"/suno-api/suno-voice-generate-callbacks"},{"title":"Suno Voice Get Custom Voice Record","openapi":"suno-api/suno-voice-api.json GET /api/v1/voice/record-info","href":"/suno-api/suno-voice-record-info"},{"title":"Suno Voice Regenerate Verification Phrase","openapi":"suno-api/suno-voice-api.json POST /api/v1/voice/regenerate","href":"/suno-api/suno-voice-regenerate"},{"title":"Suno Voice Regenerate Phrase Callbacks","href":"/suno-api/suno-voice-regenerate-callbacks"},{"title":"Suno Voice Check Availability","openapi":"suno-api/suno-voice-api.json POST /api/v1/voice/check-voice","href":"/suno-api/suno-voice-check-voice"}]},{"group":"Generate Lyrics","pages":[{"title":"Generate Lyrics","openapi":"suno-api/suno-api.json POST /api/v1/lyrics","href":"/suno-api/generate-lyrics"},{"title":"Lyrics Generation Callbacks","href":"/suno-api/generate-lyrics-callbacks"},{"title":"Get Lyrics Generation Details","openapi":"suno-api/suno-api.json GET /api/v1/lyrics/record-info","href":"/suno-api/get-lyrics-generation-details"}]},{"group":"Generate Sounds","pages":[{"title":"Generate Sounds","openapi":"suno-api/suno-api.json POST /api/v1/generate/sounds","href":"/suno-api/generate-sounds"}]},{"group":"WAV Conversion","pages":[{"title":"Convert to WAV Format","openapi":"suno-api/suno-api.json POST /api/v1/wav/generate","href":"/suno-api/convert-to-wav-format"},{"title":"WAV Format Conversion Callbacks","href":"/suno-api/convert-to-wav-format-callbacks"},{"title":"Get WAV Conversion Details","openapi":"suno-api/suno-api.json GET /api/v1/wav/record-info","href":"/suno-api/get-wav-conversion-details"}]},{"group":"Vocal Removal","pages":[{"title":"Vocal \u0026 Instrument Stem Separation","openapi":"suno-api/suno-api.json POST /api/v1/vocal-removal/generate","href":"/suno-api/separate-vocals-from-music"},{"title":"Audio Separation Callbacks","href":"/suno-api/separate-vocals-from-music-callbacks"},{"title":"Get Audio Separation Details","openapi":"suno-api/suno-api.json GET /api/v1/vocal-removal/record-info","href":"/suno-api/get-vocal-separation-details"},{"title":"Generate MIDI from Audio","openapi":"suno-api/suno-api.json POST /api/v1/midi/generate","href":"/suno-api/generate-midi"},{"title":"MIDI Generation Callbacks","href":"/suno-api/generate-midi-callbacks"},{"title":"Get MIDI Generation Details","openapi":"suno-api/suno-api.json GET /api/v1/midi/record-info","href":"/suno-api/get-midi-details"}]},{"group":"Music Video Generation","pages":[{"title":"Create Music Video","openapi":"suno-api/suno-api.json POST /api/v1/mp4/generate","href":"/suno-api/create-music-video"},{"title":"Music Video Generation Callbacks","href":"/suno-api/create-music-video-callbacks"},{"title":"Get Music Video Details","openapi":"suno-api/suno-api.json GET /api/v1/mp4/record-info","href":"/suno-api/get-music-video-details"}]},{"group":"Account Management","pages":[{"title":"Get Remaining Credits","openapi":"suno-api/suno-api.json GET /api/v1/generate/credit","href":"/suno-api/get-remaining-credits"}]},{"group":"File Upload API","pages":[{"title":"File Upload API Quickstart","icon":"rocket","href":"/file-upload-api/quickstart"},{"title":"Base64 File Upload","openapi":"file-upload-api/file-upload-api.json POST /api/file-base64-upload","href":"/file-upload-api/upload-file-base-64"},{"openapi":"file-upload-api/file-upload-api.json POST /api/file-stream-upload","title":"File Stream Upload","href":"/file-upload-api/upload-file-stream"},{"openapi":"file-upload-api/file-upload-api.json POST /api/file-url-upload","title":"URL File Upload","href":"/file-upload-api/upload-file-url"}]}]},{"language":"cn","pages":[{"title":"cn","href":"/cn/suno-api/generate-persona"}]}]},"title":"Generate Persona - Suno API","buildId":"dpl_849ArpqvBiCczQiT1Y1stNGpbqHT","deploymentId":"dpl_849ArpqvBiCczQiT1Y1stNGpbqHT","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-Bbp7I60D.js","utils-C3RIvJha.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DqD-vLt8.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B31Loprg.js","snippetPresets-DKpk-b8t.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Cj65AhOR.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BXtn5gcC.js","shallow-RY2b03Cp.js","getApiPlaygroundDisplay-B0jeiPk3.js","CodeSnippet-CYgBjjwn.js","CodeSnippets-DOngDrYB.js","Page-n7I5XbKb.js","getPastedJson-DRQbJx-T.js","icon-CQiQCicY.js","MethodPill-BKTLdNtu.js","DuplicateIcon-B9jpAdat.js","createIcon-DCddRrXv.js","DynamicMarkdown-a8hUKrw6.js","SectionHeading-eECVV2eH.js","axios-vUo_bRtp.js","Markdown--GF7ZIpf.js","clsx-DZLdJUrt.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-2LoAhjKH.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Zwc0ZncM.js"]}